__autoload
call_user_method
Classes/Object Functions
PHP Manual

# call_user_method_array

Call a user method given with an array of parameters [deprecated]

### Description

mixed call_user_method_array ( string `$method_name` , object `&$obj` , array `$params` )
Warning

The call_user_method_array function is deprecated as of PHP 4.1.0.

### Parameters

`method_name`

  The method name being called.

`obj`

  The object that `method_name` is being called on.

`params`

  An array of parameters.

### Examples

Example #1 call_user_method_array alternative

`<?php
call_user_func_array(array($obj, $method_name), $params);
call_user_func_array(array(&$obj, $method_name), $params); // PHP 4
?>`

### See Also

- call_user_func_array
- call_user_func